Bug 101728 - anaconda does not add unqualified hostname in /etc/hosts
Summary: anaconda does not add unqualified hostname in /etc/hosts
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-06 10:18 UTC by Jan Iven
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 18:56:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to make ananconda write FQDN + hostname into /etc/hosts (505 bytes, patch)
2003-08-06 10:20 UTC, Jan Iven
no flags Details | Diff

Description Jan Iven 2003-08-06 10:18:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
While writing /etc/hosts during installation, anaconda only writes a line with
IP + FQDN into /etc/hosts.

This causes DNS lookups for the unqualified hostname, and apparently  prevents
Rational Rose 2001 from running.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.(happens on installs where the network is configured)

    

Actual Results:  # Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1		localhost.localdomain localhost
1.2.3.4		lxcert03.cern.ch

Expected Results:  I would hope to have a line like
1.2.3.4		host.domain.com host
in /etc/hosts


Additional info:

The small patch attached should fix this, but is untested. This is not a new
problem, 7..9 did it as well.

Comment 1 Jan Iven 2003-08-06 10:20:51 UTC
Created attachment 93429 [details]
patch to make ananconda write FQDN + hostname into /etc/hosts

Comment 2 Jan Iven 2003-08-06 10:29:30 UTC
Rational support link that acknowledges the problem:
http://solutions.rational.com/solutions/display.jsp?solutionId=126035110

Comment 3 Jeremy Katz 2003-08-07 18:33:34 UTC
Did something similar (not the exact patch, but the desired outcome)

Comment 4 Jeremy Katz 2006-04-24 18:56:26 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.